Marcio Arantes Marcio Arantes - 4 months ago 24
Swift Question

podspec JSQMessagesViewController non-modular header

I want to use JSQMessagesViewController as a dependency to my swift pod. When I build my example app I get the old non-modular header error related to the JSQSystemSoundPlayer but I don't know how to get around it with XCode 7.

Podspec:
s.dependency 'JSQSystemSoundPlayer'
s.dependency 'JSQMessagesViewController', '7.2.0' #Also tried 5.3.2

Errors:
enter image description here

enter image description here

Answer

This is a known issue with v7.2.0 of JSQMessagesViewController: https://github.com/jessesquires/JSQMessagesViewController/pull/1284

Check this pull-request: https://github.com/jessesquires/JSQMessagesViewController/pull/1284

Specifically, this comment from jessesquires (the author): https://github.com/jessesquires/JSQMessagesViewController/pull/1284#issuecomment-181132880

The fix will be part of v7.2.1 according to that thread.